package com.example.hello;

import javax.swing.JOptionPane;

import org.svvrl.goal.core.FinishedException;
import org.svvrl.goal.gui.ProgressDialog;
import org.svvrl.goal.gui.Window;
import org.svvrl.goal.gui.action.ExecutionException;
import org.svvrl.goal.gui.action.WindowAction;

public class HelloAction extends WindowAction<Void> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 609781865688630675L;

	public HelloAction(Window win) {
		super(win, "Hello");
	}

	@Override
	public String getToolTip() {
		return "Say \"Hello World!\".";
	}

	@Override
	public Void execute(ProgressDialog dialog) throws ExecutionException,
			FinishedException {
		JOptionPane.showMessageDialog(getWindow(), "Hello World!");
		return null;
	}

}
