package com.example.hello;

import java.util.List;

import org.svvrl.goal.cmd.AbstractCommandExtension;
import org.svvrl.goal.cmd.CommandExpression;
import org.svvrl.goal.cmd.Context;
import org.svvrl.goal.cmd.EvaluationException;
import org.svvrl.goal.cmd.Expression;

public class HelloExtension extends AbstractCommandExtension {

	private class HelloExpression extends CommandExpression {

		public HelloExpression(List<Expression> args) {
			super(args);
		}

		@Override
		public String getName() {
			return "hello";
		}

		@Override
		public Object eval(Context ctx) throws EvaluationException {
			return "Hello World!\n";
		}

	}

	@Override
	public String getHelp() {
		return "Echo \"Hello World!.\"";
	}

	@Override
	public CommandExpression parse(List<Expression> args)
			throws IllegalArgumentException {
		return new HelloExpression(args);
	}

}
